.NET Frameworki 4.6 ja 4.6.1 Windows käigultparanduste koondpakett 3146715

Selles artiklis kirjeldatakse käigultparanduste koondpaketti 3146715, mis on saadaval Microsoft .NET Framework 4.6 ja 4.6.1. See värskenduskomplekt lahendab probleemide kohta lisateabe saamiseks jaotisest See käigultparanduste koondpakett lahendab probleemid .

Lahendus

Microsofti allalaadimiskeskuses on allalaadimiseks saadaval järgmised failid:

Download X86 paketi kohene allalaadimine.

Download X64 paketi kohene allalaadimine.

Microsofti tugifailide värskenduste allalaadimise kohta lisateavet hõlmava Microsofti teabebaasi artikli kuvamiseks klõpsake järgmist artiklinumbrit:

119591 kuidas Microsofti tugifailide hankimine võrguteenuste kauduMicrosoft skannis seda faili viiruste leidmiseks. Microsoft kasutas uusimat viirusetõrjetarkvara, mis oli faili postitamise päeval saadaval. Faili talletatakse täiustatud turvalisusega serverites, mis aitab takistada faili volitamata muutmist.

Märkus Kiirparanduse värskenduse versiooni kindlakstegemiseks vaadake Release märksõna installitud versiooni määratlemiseks väärtust. Tuleb edasi-ga ühilduv, saate kontrollida, mis on suurem või väiksem väärtus, mis on loetletud järgmises tabelis.

Käigultparanduste koondpakett versioon

Väljalaske DWORD väärtus

Käigultparanduste koondpakett 3146711 .NET Frameworki 4.6 ja uuemad versioonid

394294

.NET Frameworki versiooni määratlemise kohta lisateabe saamiseks vaadake kohta: teha kindlaks, milline .NET Frameworki versiooni installitud.

Lisateabe saamiseks

Eeltingimused

Selle kiirparanduse rakendamiseks peab teil olema .NET Frameworki 4.6 või 4.6.1 installitud.

Taaskäivitamise nõue

Arvuti tuleb taaskäivitada pärast selle kiirparanduse rakendamist kui mõjutatud faile ei kasutata. Soovitame enne selle kiirparanduse rakendamist sulgege kõik .NET Frameworki põhinevad rakendused.

Kiirparanduse asendamise teave

See kiirparanduspakett ei asenda varem välja antud Kiirparandusi alla.



See käigultparanduste koondpakett lahendab probleemid

CLR JIT probleem

C# struktuuride nendesse, ei võtab vastu väärtus, kui kood käivitatakse arvutis, kuhu on installitud .NET Frameworki 4.6 ja kasutab RyuJIT kompilaator. See viga üks sümptom on tähis näitab andmete kogumise vale järjestuses (aeg-seeria). Seda muutust varasemate versioonide .NET Framework käivitab ootamatut käitumist, kui klientide andmeid ajaloolane-seeria andmete väljaotsimiseks.

See probleem ilmneb seetõttu lvAddrExposed lipu puudub tmp muutujaid, mis toimivad läbimisel viite argumendid. See omakorda rikub koopia ettepaneku periood.

CLR-i probleem

CLR-i tüüpi laadur probleemi võib põhjustada tupik ajal tüüpi taastatakse: omatõmmised. See põhjustab tõrge ngen createpdb käsu. See kiirparandus lahendab probleemi.

Windowsi vormide probleem

Windowsi vormide PrintPreviewDialog Kasutajaliidese lähtestamine väga aeglaseks, kui täidetud on järgmised tingimused:

  • Võrguprinteri kasutatakse.

  • Kasutaja eelistused seda printerit dupleksrežiimi sätteid, nagu on muudetud.

Sel juhul on lisatud jõudluse optimeerimine. Kui kindla lehekülje lehe sätted ei muudetud printeri sätted pole seotakse (vaadates et printeri spuuleri) selle lehe. Kui rakendus muudab printeri sätteid, kasutades seda onQueryPageSettingssündmuseohjuri , Prindi eelvaade koostamise jõudlus mõjutatud lehekülge ei paranda isegi siis, kui seatakse lipu osalemine .

Selleks, et valida selle optimeerimine, lisatakse järgmine võti app.config faili, sõltuvalt teie .NET Frameworki versiooni.

.NET Frameworki 4.5.2:

<?xml version="1.0" encoding="utf-8"?><configuration>
< appSettings >
< add key="OptimizePrintPreview" value="true" />
< /appSettings >
</configuration>
.NET Frameworki 4.6 või uuem versioon.

<?xml version="1.0" encoding="utf-8"?><configuration>
< runtime>
< AppContextSwitchOverrides value = "Switch.System.Drawing.Printing.OptimizePrintPreview=true" />
< /runtime>
</configuration>
Kui rakendus võib kas .NET Frameworki versiooni, kasutage sama faili mõlemad lülitid.

Ära ütlema, eemaldage lülitid või väärtused väärtuseks false.

ClickOnce issue

ClickOnce'i on värskendatud TLS 1.1 ja 1.2. ClickOnce'i tuvastab nüüd automaatselt, millist TLS protokolli on vajalik Runtime. On vaja ClickOnce'i rakenduses selle funktsiooni lubamiseks täiendavaid toiminguid.

Märkus. ClickOnce'i toetab jätkuvalt TLS 1.0 prognoositav tulevikus, kuigi see on, ei saa lugeda PCI-ga.

Kas vajate veel abi?

Täiendage oma oskusi
Tutvuge koolitusmaterjalidega
Kasutage uusi funktsioone enne teisi
Liitu Microsofti Insideri programmis osalejad

Kas sellest teabest oli abi?

Täname tagasiside eest!

×